<h1>
  Create Post
</h1>

<div class="well well-sm" id="corpo">

  <div class="formFields">

    <form (ngSubmit)="save()" method="post" [formGroup]="form">
      <div class="form-group" [ngClass]="displayFieldCss('title')">
        <label for="title" class="control-label required">Title:</label>
        <input type="text" [(ngModel)]="post.title" name="title" class="form-control col-5" formControlName="title" required>

        <app-field-error-display [displayError]="isFieldValid('title')" errorMsg="Invalid title">
        </app-field-error-display>
      </div>

      <div class="form-group" [ngClass]="displayFieldCss('subtitle')">
        <label for="subtitle" class="control-label required">Subtitle:</label>
        <input type="text" [(ngModel)]="post.subtitle" formControlName="subtitle" class="form-control col-5" name="subtitle" required>

        <app-field-error-display [displayError]="isFieldValid('subtitle')" errorMsg="Invalid subtitle">
        </app-field-error-display>
      </div>

      <div class="form-group" [ngClass]="displayFieldCss('category')">
        <label for="category" class="control-label required">Category:</label>
        <select [(ngModel)]="postCategory" class="form-control" name="category" formControlName="category" id="category">
          <option *ngFor="let category of categories" value="{{category.name}}">{{category.name}}</option>
        </select>

        <app-field-error-display [displayError]="isFieldValid('category')" errorMsg="Invalid category">
        </app-field-error-display>
      </div>

      <div class="form-group" [ngClass]="displayFieldCss('body')">
        <label for="body" class="control-label required">Text:</label>
        <textarea [(ngModel)]="post.body" class="form-control" formControlName="body" name="body" required></textarea>

        <app-field-error-display [displayError]="isFieldValid('body')" errorMsg="Invalid text">
        </app-field-error-display>
      </div>

      <button type="button" class="btn btn-danger right">Cancel</button>
      <button type="submit" class="btn btn-primary right">Save</button>
    </form>
  </div>

</div>